<template>
  <DefaultLayout>
    <IntroBlock
      :placeholder="placeholder"
      page-title="page_titles.welcome"
    />
    <div>
      <section>
        <h3>{{ $t('home.who_i_am') }}</h3>
        <article id="presentation-block">
          <p id="presentation">
            {{ $t('home.presentation') }}
          </p>
          <img
            id="portrait"
            src="../assets/images/portrait-cropped.png"
            alt="Portrait"
          >
        </article>
      </section>
      <section>
        <h3>{{ $t('home.what_i_like') }}</h3>
        <figure id="design">
          <img
            id="bicolor-origami-birds"
            class="insert-image"
            :src="bicolorOrigamiBirds"
            alt="Bicolor origami birds"
          >
          <figcaption>
            <h4>{{ $t('home.design') }}</h4>
            <p>{{ $t('home.design_content') }}</p>
          </figcaption>
        </figure>
        <hr>
        <figure id="develop">
          <figcaption>
            <h4>{{ $t('home.develop') }}</h4>
            <p>{{ $t('home.develop_content') }}</p><br>
            <p>{{ $t('home.i_prefer') }} <span class="emphasis">{{ $t('home.preferred_positions') }}</span></p>
          </figcaption>
          <img
            id="mount-fuji"
            class="insert-image"
            :src="mountFuji"
            alt="Mount Fuji"
          >
        </figure>
        <hr>
        <figure id="communicate">
          <img
            id="tea"
            class="insert-image"
            :src="tea"
            alt="Tea"
          >
          <figcaption>
            <h4>{{ $t('home.communicate') }}</h4>
            <p>{{ $t('home.communicate_content') }}</p><br>
            <p>{{ $t('home.english_content') }}</p>
          </figcaption>
        </figure>
      </section>
      <section>
        <h3>{{ $t('home.lets_work_together') }}</h3>
        <h4>{{ $t('home.send_me_a_message') }}</h4>
        <p id="message-content">
          {{ $t('home.message_content') }}
        </p>
        <g-link
          id="contact-button"
          :to="$tp('/contact')"
        >
          <img
            id="contact-button-icon"
            :src="origamiIcon"
            alt="Origami bird icon"
          >
          <span id="contact-me"><g-link :to="$tp('/contact')">{{ $t('home.contact_me') }}</g-link></span>
        </g-link>
      </section>
    </div>
  </DefaultLayout>
</template>

<script src="../scripts/views/home.js"/>
<style lang="scss" src="../styles/views/home.scss"/>
